	SUBROUTINE ADDALL (NCODE, STATUS)
C
C	   Routine to produce PDF Card Photocomp Interchange Format
C	   Cards for Box 5, the free format comments box, of the
C	   new PDF Card format (25&26).  Interchange cards 18-28.
C
C	   By: Mark Holomany, JCPDS     Date: 16-Feb-1984
C
C
	IMPLICIT INTEGER (A-Z)

	CHARACTER*4  TMPNUM

	COMMON /COMCRD/  CCARD, NUMPHC, CHPHC, CDCNT, FSTCRD, LINKCM,
	1                STCRD, NUMCD
	CHARACTER        CCARD*1760
	INTEGER          CDCNT(30), FSTCRD(30), LINKCM(20)
	INTEGER          STCRD(30)

D	INCLUDE 'IORET.CMN'
D	INCLUDE 'PDFDATA.CMN'

C\$INCLUDE:'IORET.CMN'
C\$INCLUDE:'PDFDATA.CMN'

	CALL ESTMOD ('ADDALL')

	IF(CDCNT(NCODE).LE.0 .OR.
	1  NCODE.GT.NUMCD .OR. NCODE.LT.1) THEN
	   WRITE (TMPNUM, '(I3)' ) NCODE
	   CALL ERRTXT ('W', 'No comment cards of type' // TMPNUM)
	   STATUS = 1
	   RETURN
	ENDIF


	NB = FSTCRD(NCODE)

10	DO 4001 J=0,19
	L = LENGTH( CARDB(NB+J) (1:67))
	CALL CONCAT(CARDB(NB+J) (1:L ) // ' ' )
C
C	 ... Double space between sentences
	IF(CARDB(NB+J)(L:L) .EQ. '.') CALL CONCAT(' ')

	IF(CARDB(NB+J)(70:70) .EQ. ' ') GO TO 20
4001	CONTINUE

20	CONTINUE
C
C	... Check for additional comments of this type via the links
	IF(LINKCM(NB) .GT. 0) THEN
	   NB = LINKCM(NB)
	   GO TO 10
	ENDIF

	STATUS = 0
	CALL DESMOD ('ADDALL')
	RETURN
	END
